<?php
require 'importarvalor.php';

function valorpedido($importacao, $conexao){

		$importacao = $importacao;
		$conexao = $conexao;
		//procura usuarios iguais ao digitado na tabela
		$listagem = mysqli_query($conexao, "SELECT numeropedido, SUM(valor_itens) AS valorpedido, importacao FROM `precopedido` WHERE importacao = '$importacao' GROUP BY numeropedido;");

		//o while repete a criaçao de linhas na tabela igual a quantidade de itens.
		while($linha = mysqli_fetch_array($listagem)) {
				
		$numeropedido = $linha['numeropedido'];
		$valorpedido = $linha['valorpedido'];
		alterar($numeropedido,$valorpedido,$importacao,$conexao);
	}
}